Subject: FW: Linux-next compilation and build

From: "Bondarev, Alex" <[email-masked]>
Date: Mon, 23 Dec 2024 18:20:50 +0000

Forwarding the original message as per the suggestion.

On 2024.12.23, 11:39, "Konstantin Ryabitsev" <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you can confirm the sender and know the content is safe.

On Mon, Dec 23, 2024 at 04:16:03PM +0000, Bondarev, Alex wrote:
> I'm part of a team in AWS that uses the linux-next branch with canonical's
> ppa to test for build success.
> git: git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> ppa: ppa:canonical-kernel-team/ppa

> As a result of this daily test (we try the latest available at time of
> testing), we have almost immediate knowledge of the "goodness" of the branch
> (if the machine doesn't boot after update of if the compilation fails). We
> are currently running build on aarch64 and x86_64 types.
>
> The question is should we notify via a mailing list or a single destination
> about this failure? Will it improve the detection time for a bad merge?

Hello:

The helpdesk isn't quite the right place to answer this question, as I cannot
speak for the linux-next team. I suggest you send the message to the
[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>> list (you don't need to subscribe to send mail
there). They will be able to follow up with suggestions.

Best wishes,
-K